Subject: [PATCHv2 11/11] ARM: OMAP4: register DT clocks and remove old data

From: [email-masked] (Tero Kristo)
Date: Mon, 24 Jun 2013 10:45:23 +0300

On 06/21/2013 10:25 AM, Tony Lindgren wrote:
> * Tero Kristo <[email-masked]> [130619 06:25]:
>> Now that the OMAP4 PRCM clock data has been converted to device tree
>> representation, it is no longer needed as static clock data. OMAP4
>> clock init routine is also changed to register DT clocks first.
>>
>> Signed-off-by: Tero Kristo <[email-masked]>
>> ---
>>   arch/arm/mach-omap2/cclock44xx_data.c | 1674 +--------------------------------
>>   1 file changed, 38 insertions(+), 1636 deletions(-)
>
> This is nice, thanks for working on this. While at it, can
> you also keep your eyes open for the register defines in the
> header files we can also drop?
>
> Some of those headers are quite huge.. and should eventually
> be private to the related drivers if needed at all with DT.

Yeah, I can take a look at this after this set is done. It seems like 
large portion of the headers can be dropped completely once this 
exercise is done.

-Tero